---
title: "tangentialArc"
excerpt: "Draw a curved line segment along part of an imaginary circle."
layout: manual
---

Draw a curved line segment along part of an imaginary circle.

The arc is constructed such that the last line segment is placed tangent to the imaginary circle of the specified radius. The resulting arc is the segment of the imaginary circle from that tangent point for 'offset' degrees along the imaginary circle.

```js
tangentialArc(data: TangentialArcData, sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `data` | [`TangentialArcData`](/docs/kcl/types/TangentialArcData) | Data to draw a tangential arc. | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) |  | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle = 60, length = 10 }, %)
  |> tangentialArc({ radius = 10, offset = -120 }, %)
  |> angledLine({ angle = -60, length = 10 }, %)
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of tangentialArc 0](data:image/png;base64,[encoded data, 87012 characters])


